# $Revision: 1.6 $, $Date: 2008-03-02 17:31:12 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Encode
%define	pnam	Detect
Summary:	Encode::Detect - An Encode::Encoding subclass that detects the encoding of data
Summary(pl.UTF-8):	Encode::Detect - podklasa Encode::Encoding wykrywająca kodowanie danych
Name:		perl-Encode-Detect
Version:	1.00
Release:	3
License:	MPL 1.1
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Encode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	54e03becd018e237c8ccc275b52df846
URL:		http://search.cpan.org/dist/Encode-Detect/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Module-Build >= 0.2808
BuildRequires:	perl-ExtUtils-CBuilder
%if %{with tests}
BuildRequires:	perl-Data-Dump
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module is an Encode::Encoding subclass that uses
Encode::Detect::Detector to determine the charset of the input data
and then decodes it using the encoder of the detected charset.

It is similar to Encode::Guess, but does not require the configuration
of a set of expected encodings. Like Encode::Guess, it only supports
decoding - it cannot encode.

%description -l pl.UTF-8
Ten moduł Perla jest podklasą Encode::Encoding wykorzystującą
Encode::Detect::Detector do określenia zestawu znaków danych
wejściowych i dekodującą je przy użyciu kodera dla wykrytego zestawu
znaków.

Moduł ten jest podobny do Encode::Guess, ale nie wymaga konfiguracji
zbioru oczekiwanych kodowań. Podobnie jak Encode::Guess obsługuje
tylko dekodowanie; nie potrafi kodować.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	--extra-compiler-flags='%{rpmcflags} -x c++ -Iinclude' \
	--destdir=$RPM_BUILD_ROOT \
	--installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Encode/*.pm
%{perl_vendorarch}/Encode/Detect
%dir %{perl_vendorarch}/auto/Encode/Detect
%dir %{perl_vendorarch}/auto/Encode/Detect/Detector
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Detect/Detector/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Encode-Detect.spec,v $
Revision 1.6  2008-03-02 17:31:12  radek
- release 3

Revision 1.5  2008-02-10 12:09:12  arekm
- rel 2

Revision 1.4  2007-05-09 20:01:41  qboosh
- pl

Revision 1.3  2007/05/03 14:41:20  adamg
- Data::Dump is needed or tests

Revision 1.2  2007/05/03 13:38:48  radek
- fix BRs (M::B >= 0.2808)

Revision 1.1  2007/04/30 11:53:35  radek
- new
